這個端點啟動手錶虛擬試戴流程。您必須提供來源檔案與參考圖片(透過網址或檔案 ID),以及對位、陰影與佩戴位置的特定參數。任務會以非同步方式處理,您可以使用這個回應回傳的 task_id 查詢其狀態。
安全
BearerAuthenticationV2
Any of:
- https://yce-api-01.makeupar.comhttps://yce-api-01.makeupar.com/s2s/v2.0/task/2d-vto/watch
curl -i -X POST \
https://yce-api-01.makeupar.com/s2s/v2.0/task/2d-vto/watch \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"src_file_url": "https://example.com/selfie.jpg",
"srcmsk_file_url": "https://example.com/src_mask.jpg",
"ref_file_urls": [
"https://example.com/vto_sku.jpg"
],
"refmsk_file_urls": [
"https://example.com/vto_sku_mask.jpg"
],
"source_info": {
"name": "https://example.com/selfie.jpg",
"mask_name": "https://example.com/src_mask.jpg"
},
"object_infos": [
{
"name": "https://example.com/vto_sku.jpg",
"mask_name": "https://example.com/vto_sku_mask.jpg",
"parameter": {
"watch_need_remove_background": true,
"watch_anchor_point": null,
"watch_wearing_location": null,
"watch_shadow_intensity": 0.3,
"watch_ambient_light_intensity": 1
}
}
]
}'响应
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }